#
# spec file for package python3-khal
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           khal
Version:        0.9.5
Release:        2.1
Summary:        CLI calendar with CalDAV support
License:        MIT
Group:          Productivity/Office/Organizers
Url:            http://lostpackets.de/khal/
Source0:        https://pypi.python.org/packages/3b/52/9a649e5d825ef56be6d7a463712f259a089e8ced284bbc55f424b607ba42/%{name}-%{version}.tar.gz

BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
Requires:       python3-configobj
Requires:       python3-dateutil
Requires:       python3-docopt
Requires:       python3-pyxdg
Requires:       python3-tzlocal
Requires:       python3-urwid
Requires:       vdirsyncer
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Khal is a CLI (console), CalDAV based calendar program, allowing syncing of
calendars with a variety of other programs on a host of different platforms.

%prep
%setup -q

%build

%install
python3 setup.py install --root %{buildroot} --prefix %{_prefix}
install -D -m 0644 khal.conf.sample %{buildroot}%{_docdir}/khal/khal.conf.sample

%files
%defattr(-,root,root)
%doc AUTHORS.txt COPYING CONTRIBUTING.rst README.rst

%{_bindir}/ikhal
%{_bindir}/khal
%{python3_sitelib}/khal-*-info/
%{python3_sitelib}/khal/
%{_docdir}/khal

%changelog
* Wed Aug 31 2016 dmacvicar@suse.de
- Update to version 0.8.3
* Tue May 17 2016 sleep_walker@opensuse.org
- rename to khal
* Sun Jan 31 2016 sleep_walker@opensuse.org
- clean the spec with spec-cleaner
* Mon Jan 18 2016 sleep_walker@opensuse.org
- let there be python3-khal!
